> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Click Report

Extract a raw list of clicks. Limited to 10,000 clicks per request and
a maximum date range of 14 days. Requires from/to dates in YYYY-MM-DD HH:MM:SS
format and a timezone\_id.

### Examples

**Filter by country and sub1 value:**

```json theme={null}
{
  "from": "2026-03-01",
  "to": "2026-03-07",
  "timezone_id": 90,
  "query": {
    "filters": [
      {"filter_id_value": "United States", "resource_type": "country"},
      {"filter_id_value": "facebook", "resource_type": "sub1"}
    ]
  }
}
```

**Filter by multiple offers:**

```json theme={null}
{
  "from": "2026-03-01",
  "to": "2026-03-07",
  "timezone_id": 90,
  "query": {
    "filters": [
      {"filter_id_value": "42", "resource_type": "offer"},
      {"filter_id_value": "43", "resource_type": "offer"}
    ]
  }
}
```


## OpenAPI

````yaml openapi/reporting-clicks.yaml post /networks/reporting/clicks/stream
openapi: 3.0.3
info:
  title: Everflow Network API - Click Reporting
  description: >
    Click reporting endpoints for the Everflow partner marketing platform.
    Retrieve individual click details and stream click data. For more detail,
    see [Click Report](https://helpdesk.everflow.io/customer/click-report) in
    the Help Center.
  version: 1.0.0
servers:
  - description: Production Server
    url: https://api.eflow.team/v1
security: []
tags:
  - name: Reporting
    description: Click reporting endpoints.
paths:
  /networks/reporting/clicks/stream:
    post:
      tags:
        - Reporting
      summary: Get Click Report
      requestBody:
        content:
          application/json:
            example:
              from: '2026-03-01'
              to: '2026-03-08'
              timezone_id: 90
            schema:
              required:
                - from
                - to
                - timezone_id
              properties:
                from:
                  type: string
                  description: Start date in YYYY-MM-DD HH:MM:SS format.
                to:
                  type: string
                  description: End date in YYYY-MM-DD HH:MM:SS format.
                timezone_id:
                  type: integer
                  description: Timezone ID for the report.
                query:
                  properties:
                    exclusions:
                      properties:
                        filter_id_value:
                          type: string
                        resource_type:
                          enum:
                            - offer
                            - offer_url
                            - affiliate
                            - advertiser
                            - creative
                            - offer_group
                            - campaign
                            - transaction_id
                            - billing_frequency
                            - advertiser_billing_frequency
                            - business_unit
                            - category
                            - account_manager
                            - sales_manager
                            - account_executive
                            - dma
                            - device_type
                            - device_make
                            - event_name
                            - language
                            - device_platform
                            - browser
                            - country
                            - city
                            - region
                            - carrier
                            - s1
                            - s2
                            - s3
                            - s4
                            - s5
                            - adv1
                            - adv2
                            - adv3
                            - adv4
                            - adv5
                            - adv6
                            - adv7
                            - adv8
                            - adv9
                            - adv10
                            - source_id
                            - revenue_type
                            - revenue_amount
                            - payout_type
                            - payout_amount
                            - currency
                            - os_version
                            - isp
                            - project_id
                            - offer_status
                          type: string
                      type: object
                    filters:
                      properties:
                        filter_id_value:
                          type: string
                        resource_type:
                          enum:
                            - offer
                            - offer_url
                            - affiliate
                            - advertiser
                            - creative
                            - offer_group
                            - campaign
                            - transaction_id
                            - billing_frequency
                            - advertiser_billing_frequency
                            - business_unit
                            - category
                            - account_manager
                            - sales_manager
                            - account_executive
                            - dma
                            - device_type
                            - device_make
                            - event_name
                            - language
                            - device_platform
                            - browser
                            - country
                            - city
                            - region
                            - carrier
                            - s1
                            - s2
                            - s3
                            - s4
                            - s5
                            - adv1
                            - adv2
                            - adv3
                            - adv4
                            - adv5
                            - adv6
                            - adv7
                            - adv8
                            - adv9
                            - adv10
                            - source_id
                            - revenue_type
                            - revenue_amount
                            - payout_type
                            - payout_amount
                            - currency
                            - os_version
                            - isp
                            - project_id
                            - offer_status
                          type: string
                      type: object
                    metric_filters:
                      properties:
                        metric_type:
                          enum:
                            - impression
                            - total_click
                            - unique_click
                            - invalid_click
                            - duplicate_click
                            - cv
                            - invalid_cv_scrub
                            - view_through_cv
                            - event
                            - payout
                            - revenue
                            - event_revenue
                            - gross_sales
                            - affiliate_event
                            - affiliate_revenue
                            - media_buying_cost
                          type: string
                        metric_value:
                          type: number
                        operator:
                          enum:
                            - less_than
                            - less_than_or_equal
                            - greater_than
                            - greater_than_or_equal
                          type: string
                      type: object
                    settings:
                      properties:
                        campaign_data_only:
                          type: boolean
                        ignore_fail_traffic:
                          type: boolean
                        only_include_fail_traffic:
                          type: boolean
                      type: object
                    user_metrics:
                      properties:
                        metric_aggr_function:
                          enum:
                            - sum
                            - avg
                          type: string
                        metric_type:
                          type: string
                      type: object
                  type: object
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  table:
                    type: array
                    items:
                      properties:
                        transaction_id:
                          type: string
                        unix_timestamp:
                          type: integer
                        is_unique:
                          type: integer
                        tracking_url:
                          type: string
                        source_id:
                          type: string
                        sub1:
                          type: string
                        sub2:
                          type: string
                        sub3:
                          type: string
                        sub4:
                          type: string
                        sub5:
                          type: string
                        sub6:
                          type: string
                        sub7:
                          type: string
                        sub8:
                          type: string
                        sub9:
                          type: string
                        sub10:
                          type: string
                        payout_type:
                          type: string
                        revenue_type:
                          type: string
                        payout:
                          type: number
                        revenue:
                          type: number
                        referer:
                          type: string
                        previous_network_offer_id:
                          type: integer
                        error_code:
                          type: integer
                        error_message:
                          type: string
                        error_filter_id:
                          type: string
                        project_id:
                          type: string
                        user_ip:
                          type: string
                        url:
                          type: string
                        is_view_through:
                          type: boolean
                        is_async:
                          type: boolean
                        is_pass_through:
                          type: boolean
                        is_sdk_click:
                          type: boolean
                        is_test_mode:
                          type: boolean
                        has_conversion:
                          type: boolean
                        server_side_url:
                          type: string
                        server_side_output:
                          type: string
                        custom_landing_page_id:
                          type: integer
                        redirect_method:
                          type: string
                        creative_id:
                          type: integer
                        category_id:
                          type: integer
                        currency_id:
                          type: string
                        coupon_code:
                          type: string
                        idfa:
                          type: string
                        idfa_md5:
                          type: string
                        idfa_sha1:
                          type: string
                        google_ad_id:
                          type: string
                        google_ad_id_md5:
                          type: string
                        google_ad_id_sha1:
                          type: string
                        android_id:
                          type: string
                        android_id_md5:
                          type: string
                        android_id_sha1:
                          type: string
                        relationship:
                          properties:
                            offer:
                              type: object
                              properties:
                                network_offer_id:
                                  type: integer
                                network_id:
                                  type: integer
                                network_advertiser_id:
                                  type: integer
                                network_offer_group_id:
                                  type: integer
                                name:
                                  type: string
                                offer_status:
                                  type: string
                                network_tracking_domain_id:
                                  type: integer
                                visibility:
                                  type: string
                                currency_id:
                                  type: string
                            advertiser:
                              type: object
                              properties:
                                network_advertiser_id:
                                  type: integer
                                network_id:
                                  type: integer
                                name:
                                  type: string
                                account_status:
                                  type: string
                            affiliate:
                              type: object
                              properties:
                                network_affiliate_id:
                                  type: integer
                                network_id:
                                  type: integer
                                name:
                                  type: string
                                account_status:
                                  type: string
                                network_traffic_source_id:
                                  type: integer
                            account_manager:
                              type: object
                              properties:
                                network_employee_id:
                                  type: integer
                                network_id:
                                  type: integer
                                first_name:
                                  type: string
                                last_name:
                                  type: string
                                full_name:
                                  type: string
                                account_status:
                                  type: string
                            affiliate_manager:
                              type: object
                              properties:
                                network_employee_id:
                                  type: integer
                                network_id:
                                  type: integer
                                first_name:
                                  type: string
                                last_name:
                                  type: string
                                full_name:
                                  type: string
                                account_status:
                                  type: string
                            device_information:
                              type: object
                              properties:
                                is_mobile:
                                  type: boolean
                                platform_name:
                                  type: string
                                os_version:
                                  type: string
                                brand:
                                  type: string
                                model:
                                  type: string
                                is_tablet:
                                  type: boolean
                                browser_name:
                                  type: string
                                browser_version:
                                  type: string
                                device_type:
                                  type: string
                                language:
                                  type: string
                                http_accept_language:
                                  type: string
                                is_robot:
                                  type: boolean
                                is_filter:
                                  type: boolean
                            geolocation:
                              type: object
                              properties:
                                country_code:
                                  type: string
                                country_name:
                                  type: string
                                region_code:
                                  type: string
                                region_name:
                                  type: string
                                city_name:
                                  type: string
                                dma:
                                  type: integer
                                dma_name:
                                  type: string
                                timezone:
                                  type: string
                                carrier_name:
                                  type: string
                                carrier_code:
                                  type: integer
                                organization:
                                  type: string
                                isp_name:
                                  type: string
                                is_mobile:
                                  type: boolean
                                is_proxy:
                                  type: boolean
                                postal_code:
                                  type: string
                            offer_group:
                              description: >-
                                Present when the offer belongs to an offer
                                group.
                              type: object
                              properties:
                                network_offer_group_id:
                                  type: integer
                                network_id:
                                  type: integer
                                network_advertiser_id:
                                  type: integer
                                name:
                                  type: string
                                offer_group_status:
                                  type: string
                                offer_count:
                                  type: integer
                            campaign:
                              description: >-
                                Present when the click is associated with a
                                campaign.
                              type: object
                              properties:
                                network_campaign_id:
                                  type: integer
                                network_id:
                                  type: integer
                                campaign_name:
                                  type: string
                                campaign_status:
                                  type: string
                            http_user_agent:
                              type: string
                            http_accept_language:
                              type: string
                              description: >-
                                Present when the browser sends an
                                Accept-Language header.
                            redirect_url:
                              type: string
                              description: >-
                                The redirect destination URL. Present when
                                available.
                            query_parameters:
                              type: object
                              description: >-
                                The query string parameters from the original
                                click URL.
                            forensiq_score:
                              type: string
                          type: object
                      type: object
                type: object
          description: ''
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````